# $Revision: 1.67 $, $Date: 2011/04/30 19:59:15 $
Summary:	GNU shar utils - shar, unshar, uuencode, uudecode
Summary(de.UTF-8):	GNU-shar-Dienstprogramme - shar, unshar, uuencode, uudecode
Summary(es.UTF-8):	Utilitarios shar de la GNU - shar, unshar, uuencode, uudecode
Summary(fr.UTF-8):	Utilitaires shar de GNU - shar, unshar, uuencode, uudecode
Summary(pl.UTF-8):	Narzędzia z GNU shar - shar, unshar, uuencode, uudecode
Summary(pt_BR.UTF-8):	Utilitários shar da GNU - shar, unshar, uuencode, uudecode
Summary(ru.UTF-8):	Утилиты GNU shar для создания и распаковки shell-архивов
Summary(tr.UTF-8):	Arşivleme ve kabuk araçları
Summary(uk.UTF-8):	Утиліти GNU shar для створення та розпаковки shell-архівів
Name:		sharutils
Version:	4.11.1
Release:	1
License:	GPL v3+
Group:		Applications
Source0:	http://ftp.gnu.org/gnu/sharutils/%{name}-%{version}.tar.bz2
# Source0-md5:	52dd02b6f5e0a148ba871234ae29bba2
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	336f405f69324d129a6ccd3b66f8eb6c
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/sharutils/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel >= 0.18.1
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar). This
format can be sent through email (which can be problematic for regular
binary files). The shar utility supports a wide range of capabilities
(compressing, uuencoding, splitting long files for multi-part
mailings, providing checksums), which make it very flexible at
creating shar files. After the files have been sent, the unshar tool
scans mail messages looking for shar files. Unshar automatically
strips off mail headers and introductory text and then unpacks the
shar files.

%description -l de.UTF-8
Sie können die shar-Dienstprogramme zum Verschlüsseln und Packen einer
Reihe von Dateien (binär oder Text) in ein einfaches Textformat
verwenden Dieses Format kann sicher per E-Mail oder andere Verfahren
gesendet werden, bei denen das Senden von Binärdateien schwierig ist.

%description -l es.UTF-8
Los utilitarios shar pueden ser usados para codificar y empaquetar
varios archivos, binarios y/o texto, en un formato especial de texto
plano. Este formato puede ser seguramente mandado a través de mail o
otros medios donde mandar archivos binarios sea difícil.

%description -l fr.UTF-8
Les utilitaires shar servent à encoder et empaqueter un certain nombre
de fichiers, binaires et/ou texte, sous un format texte spécial. Ce
format peut être envoyé sans problème par courrier ou par d'autres
moyens où l'envoi de fichiers binaires est difficile.

%description -l pl.UTF-8
Narzędzia shar służą do przekształcania i dystrybucji wielu plików
binarnych i/lub tekstowych w jednym, tekstowym archiwum. Archiwum
można następnie wysyłać pocztą elektroniczną albo innymi metodami,
które uniemożliwiają lub znacznie utrudniają transmisję plików
binarnych.

%description -l pt_BR.UTF-8
Os utilitários shar podem ser usados para codificar e empacotar vários
arquivos, binários e/ou texto, em um formato especial de texto plano.
Este formato pode ser seguramente mandado através de mail ou outros
meios onde mandar arquivos binários é difícil.

%description -l ru.UTF-8
Утилиты shar могут быть использованы для кодирования и упаковки
нескольких файлов, бинарных и/или текстовых, в специальный файл чисто
текстового формата. Этот файл может быть послан e-mail'ом или другим
способом, где посылка бинарных файлов затруднена.

%description -l tr.UTF-8
shar araçları, derlemiş ya da metin biçimindeki dosyaları düz metin
biçiminde kodlamak için kullanılabilir. Bu biçimdeki dosya, posta ile
ya da derlenmiş dosyaların gönderilmesinin sorun çıkardığı diğer
programlar üzerinden güvenli bir şekilde gönderilebilir.

%description -l uk.UTF-8
Утиліти shar можуть бути використані для кодування та упаковки кількох
файлів, двійкових та/або текстових, в спеціальний файл чисто
текстового формату. Цей файл можна надсилати електронною поштою чи
іншим способом, при якому посилка двійкових файлів не підтримується.

%prep
%setup -q -a1
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/{pl/man5,ja/man{1,5}}
install man/ja/man1/* $RPM_BUILD_ROOT%{_mandir}/ja/man1
install man/ja/man5/* $RPM_BUILD_ROOT%{_mandir}/ja/man5
install man/pl/man5/* $RPM_BUILD_ROOT%{_mandir}/pl/man5

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/shar
%attr(755,root,root) %{_bindir}/unshar
%attr(755,root,root) %{_bindir}/uudecode
%attr(755,root,root) %{_bindir}/uuencode
%{_infodir}/sharutils.info*
%{_mandir}/man1/shar.1*
%{_mandir}/man1/unshar.1*
%{_mandir}/man1/uudecode.1*
%{_mandir}/man1/uuencode.1*
%{_mandir}/man5/uuencode.5*
%lang(ja) %{_mandir}/ja/man[15]/*
%lang(pl) %{_mandir}/pl/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sharutils.spec,v $
Revision 1.67  2011/04/30 19:59:15  qboosh
- updated to 4.11.1
- removed obsolete pl.po-update patch

Revision 1.66  2011/02/08 16:08:41  qboosh
- updated to 4.11
- updated info patch
- added pl.po-update patch
- mail-files and mailshar are gone (considered FUBAR), so sh patch is obsolete (removed)

Revision 1.65  2011/01/29 00:07:21  sparky
- dropped pre-cvs changelog

Revision 1.64  2010/09/01 06:50:04  qboosh
- updated to 4.10
- added URL

Revision 1.63  2010/03/04 12:01:36  arekm
- up to 4.9

Revision 1.62  2008/04/08 08:24:54  glen
- unify ftp.gnu.org urls

Revision 1.61  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.60  2007-12-12 17:21:38  sls
- added gettext17.patch

Revision 1.59  2007-07-01 14:56:39  qboosh
- updated to 4.7 (GPL v3 applies)

Revision 1.58  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.57  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.56  2006/12/19 10:11:03  qboosh
- updated to 4.6.3, removed obsolete pl.po-update patch

Revision 1.55  2006/05/13 01:43:47  qboosh
- added pl.po-update patch, release 1

Revision 1.54  2006/05/05 06:44:59  zboczuch
- up to 4.6.2

Revision 1.53  2006/01/31 13:07:01  qboosh
- updated to 4.6.1, updated sh patch

Revision 1.52  2005/10/25 20:33:47  qboosh
- updated to 4.6, removed obsolete pl patch, readded info patch

Revision 1.51  2005/09/13 17:45:29  qboosh
- updated to 4.5.1, updated pl patch

Revision 1.50  2005/08/07 11:47:34  qboosh
- updated to 4.5, updated pl patch

Revision 1.49  2005/07/26 01:32:20  undefine
- up to 4.4

Revision 1.48  2005/06/26 00:48:15  undefine
- up to 4.3.81

Revision 1.47  2005/06/17 11:55:16  undefine
- tmpfix with use tempfile is debian-specific, not usable in pld
- release 1

Revision 1.46  2005/06/11 21:06:46  undefine
- cleanup install

Revision 1.45  2005/06/11 21:02:52  undefine
- up to 4.3.80, NFY

Revision 1.44  2004/11/01 16:45:30  qboosh
- wrrr, "should be checked" means release 0.1 not 1!"

Revision 1.43  2004/11/01 15:17:12  witekfl
- update to 4.3.77
- commented out all patches. They should be checked.

Revision 1.42  2004/10/13 11:06:28  mmazur
- rel 16 for th

Revision 1.41  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.40  2004/04/07 05:16:09  ankry
- rel. 15

Revision 1.39  2004/04/06 22:15:17  jm
- added patch - buffer overflow in command line parseing

Revision 1.38  2003/09/04 22:22:57  ankry
- merged ja & po patches
- rel. 13

Revision 1.37  2003/09/01 21:11:58  ankry
- po encoding/header fixes

Revision 1.36  2003/08/23 12:19:13  mmazur
- rel 12 for Ac

Revision 1.35  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.34  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.33  2003/05/25 06:26:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/05/17 21:44:01  djrzulf
- gettext-devel is needed to build this pkg

Revision 1.31  2003/05/17 21:28:23  djrzulf
- sorry, i mean texinfo

Revision 1.30  2003/05/17 21:27:55  djrzulf
- added missed BR: texutils

Revision 1.29  2002/08/22 02:10:20  kloczek
- merge tramslations from KSI and adapterize spec file.

Revision 1.28  2002/06/10 09:21:07  blues
- release 11
- uudecode security fix added stollen from RH
- new doc, more docs
- translations from CNV
STBR (Security)

Revision 1.27  2002/05/19 22:20:47  ankry
- moved message file from ja_JP.EUC/ to ja/
- release 10

Revision 1.26  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/10/15 21:52:04  qboosh
- auto* BRs commented out - proper fix probably should contain full am support
- added ja man pages and pl uuencode(5)
- release 9

Revision 1.23  2001/10/15 11:52:00  blues
- configure2_13 used

Revision 1.22  2001/10/11 09:11:38  qboosh
- BuildRequires: automake

Revision 1.21  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %%p{re,ost}{,un}

Revision 1.19  2000/10/25 03:45:22  kloczek
- updated to 4.2.1 (release 8),
- added autoconf patch with fixes for using autoconf in right way (tm),
- use new rpm automation.

Revision 1.18  2000/07/17 01:12:16  kloczek
- release 17.

Revision 1.17  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.15  2000/05/22 12:49:57  kloczek
- spec adapterized.

Revision 1.14  2000/05/22 12:10:59  zagrodzki
- release ++

Revision 1.13  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %%pre/post is executed only when info is already
  installed

Revision 1.12  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.10  1999/11/08 16:24:38  kura
- fixed pl translation

Revision 1.9  1999/09/19 10:21:43  pius
Prereq: /sbin/install-info -> /usr/sbin/fix-info-dir

Revision 1.8  1999/09/13 01:04:56  kloczek
- release 15,
- changes in %%description's,
- implifications in %%build,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" format of info index
  entries.

Revision 1.7  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %%changelog (for automating them).
